### R code from vignette source 'cr_5.Rnw'

###################################################
### code chunk number 1: cr_5.Rnw:54-58
###################################################
sort(Clay5)
order(Clay5)
Clay5[order(Clay5)]
zone[order(Clay5)]


###################################################
### code chunk number 2: cr_5.Rnw:69-71
###################################################
by(Clay5,zone,range)
by(Clay5,zone,function(x) max(x)-min(x))


###################################################
### code chunk number 3: cr_5.Rnw:85-86
###################################################
boxplot(Clay5~zone, notch=T, horizontal=T, xlab="Clay %, 30-50cm", ylab="zone")


###################################################
### code chunk number 4: cr_5.Rnw:110-111
###################################################
by(Clay5, zone, summary)


###################################################
### code chunk number 5: cr_5.Rnw:129-130
###################################################
lmz<-lm(Clay5~zone); summary(lmz)


###################################################
### code chunk number 6: cr_5.Rnw:148-150
###################################################
summary(aov(lmz))
coefficients(aov(lmz))


###################################################
### code chunk number 7: cr_5.Rnw:254-258
###################################################
pairwise.t.test(Clay5, zone, p.adj="none")
pairwise.t.test(Clay5, zone, p.adj="holm")
pairwise.t.test(Clay5, zone, p.adj="none",pool.sd=F)
pairwise.t.test(Clay5, zone, p.adj="holm",pool.sd=F)


###################################################
### code chunk number 8: cr_5.Rnw:295-302
###################################################
mean(Clay5)
(means <- by(Clay5, zone, mean))
(tss <- sum((Clay5 - mean(Clay5))^2))
(rss <- sum((Clay5 - means[zone])^2))
(gss <- sum(((means-mean(Clay5))^2)*by(Clay5, zone, length)))
(gss+rss - tss)
1-(rss/tss)


